Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2020-02245, UID# 2818
App. Status: Expired

Valid: 06/22/2020 - 06/25/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2530 (06/19/2020)

Charge Cost Quantity Total
Non-Taxable
added 06/19/2020 2:34 PM

Workover Rigs & Cranes 100,001 - 110,000 lbs

$70.00 x 1 $70.00
added 06/19/2020 2:34 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$60.00 x 1 $60.00
Grand Total
Total $130.00
Payment 06/19/2020$130.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 06/19/2020 1:30 PM
9cf534ab87bb5ead492c544cdf60fcfd
e58fb803a0eecf4773ae40f62911d965
 
#1 Permit Issuing OfficialRachel Grimm - 06/19/2020 2:35 PM
af41e3077a56317a43a05ba47dedfaec
edbff90e5a48746251c2a5e6b4164756
 
Permit has been approved. All signatures have been obtained.